<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Silent Trigger</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>


<div class="image">
  <img src="https://m.media-amazon.com/images/M/MV5BNjk4MzhiOWEtZTNiMS00NzM4LWI4OWQtYTQ0YzYzNDBlYmRiXkEyXkFqcGdeQXVyNzMzMjU5NDY@._V1_.jpg" style="width:100%">
</div>


<a href="./articles/Silent.Trigger.html" class="title">Silent Trigger</a></br>
<div class="body-text">
<i>Review Published</i>: Nov. 6, 2022</br>
<i>Reference</i>: <a href="https://www.imdb.com/title/tt0117653/" target="_blank">IMDB</a></br>
<i>Released</i>: 1996</br>
<i>Runtime</i>: 1h 33m</br>
<i>Genre</i>: <a href="../categories/suspense.html">Suspense</a>, <a href="../categories/action.html">Action</a>, <a href="../categories/drama.html">Drama</a></br>
<i>Country of Origin</i>: United States, United Kingdom</br>
<i>Language</i>: <a href="../categories/english.html">English</a></br>
<i>Original Title</i>: The Algonquin Goodbye</br>
<i>Synopsis</i>:</br>
A secret agent sniper and his spotter are reunited for a mission that could be their last.</br>
<i>Review</i>:</br>
Dolph Lundgren is a special ops soldier turned sniper assassin working for a secretive "agency." Gina Bellman is his spotter, lookout, and potential romantic interest. I use their proper names rather than refering to their character names because those are never used in the movie. You have to read online that their names are "Waxman" and "Clegg" respectively. It makes sense they would not use those names in the film, not only because they sound stupid but because the impersonal aspect of not using names is just one of many realistic details. The reality of being a secret agent is less like James Bond and more like Jason Bourne. The difference between our protagonist and Bourne is that Lundgren's character is not a super soldier, he's just good at shooting. Unlike many similar 'agent' movies, nothing very unrealistic happens in this film. Since the action is not over the top and mostly contained in flashbacks, it feels more like a suspense film than an action movie. The conflict starts when Dolph won't shoot his designated target because it's a woman holding a baby. When his supervisors expect him to shoot through the innocent child he hesitates to kill even after the baby is out of the way. The "agency" being alright with killing kids is realistic detail number three, number four is that there's a team ready to take him out when he won't follow orders. Dolph and Gina escape with their lives and this flashback is the exposition to the story because, for some reason, they show back up to work. The agency wants Dolph to do another hit, for Gina to be his spotter again, and the tension comes from watching them walk into an obvious setup and wondering to what extent this job will end up like the last one. Also whether they bang. I don't want to spoil either of these plot points but it may be evident when I say that the film suffers a bit from being a little too straight-forward. That and falling into some unnecessary spy/action movie tropes, although the circular glass window cutter is good for a laugh. Overall the quality is good for what it is and some consider this the best of Lundgren's solo work but I didn't really see it as anything special. This would be very good for someone who's not a fan of secret agent action movies that glorify the government or are filled with nonsense like acrobatic fight scenes where one guy beats up a whole platoon of soldiers. Dolph just shoots people.</br>
<i>Watch later?</i>: If you like Dolph Lundgren and your gripe with the Bourne series is that it's not realistic.</br>
<i>Rating</i>: 6/10
</div>


<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>

<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
